Bug 448125 - Unable to mount NTFS SATA external HDD in FC9
Unable to mount NTFS SATA external HDD in FC9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 12:10 EDT by micod2000
Modified: 2013-03-05 22:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:10:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description micod2000 2008-05-23 12:10:41 EDT
Description of problem:


Version-Release number of selected component (if applicable): 0.9.8


How reproducible:


Steps to Reproduce:
1.Try to mount my external SATA HDD (NTFS formatted)
2.It fails everytime
3.No error messages the drive just don't mount
  
Actual results:

I cannot use my external HDD ! In FC8 everything was OK ...

Expected results:


Additional info:
Comment 1 Adam Pribyl 2008-07-22 09:17:15 EDT
This does not happen only with external but also internal ntfs partition.

Adding such a line to fstab

/dev/sdb1 /mnt/ntfs ntfs-3g users,noauto 0 0

and trying as a user

gnome-mount -d /dev/sdb1 

prints out dialog "Unable to mount the volume", but opening "Details" gives no
info - it is empty.

Using 

mount /mnt/ntfs

does nothing - it does not print any error message, just silently ends with no
action to happen. 

root can mount those devices OK, therefore I think, there is something going on
with hal and policykit that are preventing to grant permission.

This applies only to ntfs file system types. With vfat everything works. Is FUSE
somehow involved?
Comment 2 Adam Pribyl 2008-07-30 02:40:43 EDT
Fist thing I found is there are  permissions
-rwxr-xr-- on /sbin/mount.ntfs-3g
This is causing (gnome-)mount to quit silently. When changed to 0755 then mount
finaly gives some output at least. This points out to ntfs-3g Q&A with
"explanation" 
http://ntfs-3g.org/support.html#unprivileged
http://ntfs-3g.org/support.html#useroption2
which is not very helpfull.
Comment 3 Bug Zapper 2009-06-09 21:07:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:10:40 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.